﻿using System;
using System.Collections.Generic;
using System.Text;
using ScaraBattle.Persistence;

namespace ScaraBattle.ViewModel
{
    class MenuItem : ViewModelBase
    {

        /// <summary>
        /// A menü opció képének kulcsszava
        /// </summary>
        public string Image { get; set; }

        /// <summary>
        /// A menü opció típusa
        /// </summary>
        public SelectedObject Type { get; set; }

        public int Price { get; set; }

        /// <summary>
        /// Kiválasztás parancs lekérdezése, vagy beállítása.
        /// </summary>
        public DelegateCommand SelectCommand { get; set; }
    }
}
